<div class="d-flex justify-content-center">
  <div class="col-8">
    <form name="editForm" role="form" novalidate (ngSubmit)="save()" [formGroup]="editForm">
      <h2
        id="jhi-indemnite-heading"
        data-cy="IndemniteCreateUpdateHeading"
        jhiTranslate="gestionPersonnel3App.indemnite.home.createOrEditLabel"
      >
        Créer ou éditer un Indemnite
      </h2>

      <div>
        <jhi-alert-error></jhi-alert-error>

        <div class="row mb-3" *ngIf="editForm.controls.id.value !== null">
          <label class="form-label" jhiTranslate="global.field.id" for="field_id">ID</label>
          <input type="number" class="form-control" name="id" id="field_id" data-cy="id" formControlName="id" [readonly]="true" />
        </div>

        <div class="row mb-3">
          <label class="form-label" jhiTranslate="gestionPersonnel3App.indemnite.typeIndemnite" for="field_typeIndemnite"
            >Type Indemnite</label
          >
          <input
            type="text"
            class="form-control"
            name="typeIndemnite"
            id="field_typeIndemnite"
            data-cy="typeIndemnite"
            formControlName="typeIndemnite"
          />
        </div>

        <div class="row mb-3">
          <label class="form-label" jhiTranslate="gestionPersonnel3App.indemnite.montantIndemnite" for="field_montantIndemnite"
            >Montant Indemnite</label
          >
          <input
            type="number"
            class="form-control"
            name="montantIndemnite"
            id="field_montantIndemnite"
            data-cy="montantIndemnite"
            formControlName="montantIndemnite"
          />
        </div>

        <div class="row mb-3">
          <label class="form-label" jhiTranslate="gestionPersonnel3App.indemnite.employe" for="field_employe">Employe</label>
          <select
            class="form-control"
            id="field_employe"
            data-cy="employe"
            name="employe"
            formControlName="employe"
            [compareWith]="compareEmploye"
          >
            <option [ngValue]="null"></option>
            <option [ngValue]="employeOption" *ngFor="let employeOption of employesSharedCollection">{{ employeOption.id }}</option>
          </select>
        </div>
      </div>

      <div>
        <button type="button" id="cancel-save" data-cy="entityCreateCancelButton" class="btn btn-secondary" (click)="previousState()">
          <fa-icon icon="ban"></fa-icon>&nbsp;<span jhiTranslate="entity.action.cancel">Annuler</span>
        </button>

        <button
          type="submit"
          id="save-entity"
          data-cy="entityCreateSaveButton"
          [disabled]="editForm.invalid || isSaving"
          class="btn btn-primary"
        >
          <fa-icon icon="save"></fa-icon>&nbsp;<span jhiTranslate="entity.action.save">Sauvegarder</span>
        </button>
      </div>
    </form>
  </div>
</div>
